MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029147Open CASCADE[OCCT] OCCT:Visualizationpublic2017-09-26 17:392018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029147: Visualization - D3DHost_FrameBuffer::BindBuffer() fails on some Intel drivers
DescriptionThe following error occurs within D3DHost_FrameBuffer::BindBuffer() on some Intel drivers:
D3DHost_FrameBuffer, OpenGL FBO is incomplete!


OpenGL info:
OpenGL info:
  GLvendor: Intel
  GLdevice: Intel(R) HD Graphics 530
  GLversion: 4.5.0 - Build 22.20.16.4729
  GLSLversion: 4.50 - Build 22.20.16.4729
  Max texture size: 16384
  Max combined texture units: 192
  Max MSAA samples: 16
  Viewport: 409x409
  ResolutionRatio: 1


In addition, the following error is logged with Debug context enabled within wglDXRegisterObjectNV() call - seems to be a driver bug (message cannot be mapped onto called function):
Error has been generated. GL error GL_INVALID_ENUM in GenTextures: (ID: 867281529) non-integer <format> 
32849 has been provided.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029138closedbugmaster Open CASCADE Visualization - D3DHost_FrameBuffer should provide software fallback when WGL_NV_DX_interop is unavailable 

-  Notes
(0070887)
git (administrator)
2017-09-26 17:41

Branch CR29147 has been created by kgv.

SHA-1: 7c8a15f87a534c856d92644d34d3d5b98b7c21bd


Detailed log of new commits:

Author: kgv
Date: Tue Sep 26 17:41:05 2017 +0300

    0029147: Visualization - D3DHost_FrameBuffer::BindBuffer() fails on some Intel drivers
    
    D3DHost_FrameBuffer::BindBuffer() now detaches Depth+Stencil texture instead of complete failure.
(0070903)
git (administrator)
2017-09-27 09:55

Branch CR29147 has been updated forcibly by kgv.

SHA-1: 47841ed44f726f51231e9e1a71fb24ea1cc4cfd2
(0070905)
kgv (developer)
2017-09-27 09:58

Patch is ready for review.
(0071128)
git (administrator)
2017-10-02 21:50

Branch CR29147 has been updated by kgv.

SHA-1: f5aed0a388a8ceda66b4712e64fb4f4388170495


Detailed log of new commits:

Author: kgv
Date: Mon Oct 2 21:50:32 2017 +0300

    # fix mispint in erro text

(0071129)
san (developer)
2017-10-02 23:28

Branch CR29147 reviewed without remarks, ready for testing.
(0071142)
git (administrator)
2017-10-03 10:09

Branch CR29147 has been updated forcibly by inv.

SHA-1: d592bf7085003b50f08cce7e6b222c225f405f60
(0071163)
bugmaster (administrator)
2017-10-03 16:31

Combination -
OCCT branch : CR29147 SHA-1: d592bf7085003b50f08cce7e6b222c225f405f60
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29147-master/ [^]

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :

IMAGE sat read_parallel_2 B6
http://occt-tests/CR29147-master-Products/Debian70-64/diff-Debian70-64-image.html [^]

Please confirm

Memory differences :
No differences that require special attention

(0071169)
kgv (developer)
2017-10-03 18:03

Test case sat/read_parallel_2/B6 does not use any functionality modified within the patch.
(0071179)
bugmaster (administrator)
2017-10-04 09:59

Launched by hand. Results is OK. It is very strange.

(0071463)
git (administrator)
2017-10-14 12:19

Branch CR29147 has been deleted by kgv.

SHA-1: d592bf7085003b50f08cce7e6b222c225f405f60

- Related Changesets
occt: master da2a6aee
Timestamp: 2017-09-26 14:41:05
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029147: Visualization - D3DHost_FrameBuffer::BindBuffer() fails on some Intel drivers

D3DHost_FrameBuffer::BindBuffer() now implicitly detaches Depth+Stencil texture in case of driver failure.
D3DHost_View::d3dCreateRenderTarget() now does not request Depth+Stencil texture by default.
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff ] File ]
mod - src/D3DHost/D3DHost_FrameBuffer.hxx Diff ] File ]
mod - src/D3DHost/D3DHost_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-26 17:39 kgv New Issue
2017-09-26 17:39 kgv Assigned To => kgv
2017-09-26 17:39 kgv Relationship added related to 0029138
2017-09-26 17:39 kgv Relationship added related to 0027147
2017-09-26 17:41 git Note Added: 0070887
2017-09-27 09:55 git Note Added: 0070903
2017-09-27 09:58 kgv Note Added: 0070905
2017-09-27 09:58 kgv Assigned To kgv => san
2017-09-27 09:58 kgv Status new => resolved
2017-10-02 21:50 git Note Added: 0071128
2017-10-02 23:28 san Note Added: 0071129
2017-10-02 23:28 san Assigned To san => bugmaster
2017-10-02 23:28 san Status resolved => reviewed
2017-10-03 10:09 git Note Added: 0071142
2017-10-03 16:31 bugmaster Note Added: 0071163
2017-10-03 16:31 bugmaster Assigned To bugmaster => kgv
2017-10-03 16:31 bugmaster Status reviewed => feedback
2017-10-03 18:03 kgv Note Added: 0071169
2017-10-03 18:03 kgv Assigned To kgv => bugmaster
2017-10-04 09:59 bugmaster Note Added: 0071179
2017-10-04 09:59 bugmaster Status feedback => tested
2017-10-04 16:11 bugmaster Test case number => Not required
2017-10-06 14:55 bugmaster Changeset attached => occt master da2a6aee
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-14 12:19 git Note Added: 0071463
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker